:root {
  --font-anton: "Anton", sans-serif;
  --font-eb-garamond: "EB Garamond", serif;
  --font-inter: "Inter", sans-serif;
  --font-jaro: "Jaro", sans-serif;
  --font-montserrat: "Montserrat", sans-serif;
  --font-poppins: "Poppins", sans-serif;
  --font-spicy-rice: "Spicy Rice", cursive;
}

body {
  font-family: var(--font-poppins);
  background-color: black;
}

.no-scrollbar::-webkit-scrollbar {
  display: none;
}

.no-scrollbar {
  -ms-overflow-style: none; /* IE & Edge */
  scrollbar-width: none; /* Firefox */
}

/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* NAVBAR */
.navbar {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
}

/* CONTAINER */
.nav-container {
  max-width: 1920px;
  margin: auto;
  padding: 20px 56px;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.kirian {
  display: flex;
  gap: 64px;
  align-items: center;
}

/* LOGO */
img {
  width: 120px;
}

/* MENU */
.nav-menu {
  list-style: none;
  display: flex;
  gap: 36px;
}

/* LINK */
.nav-menu a {
  text-decoration: none;
  color: #ccc;
  font-size: 18px;
  font-weight: 600;
  letter-spacing: 1px;
  text-transform: uppercase;
  position: relative;
  transition: 0.3s;
}

/* HOVER EFFECT (DOTA STYLE LINE) */
.nav-menu a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 0%;
  height: 2px;
  background: #1f7a1f;
  transition: 0.3s;
}

.dropdown-toggle {
  display: flex;
  align-items: center;
  gap: 6px;
}

/* arrow icon */
.arrow {
  width: 10px;
  transition: 0.3s;
}

/* 🔥 hover effect */
.dropdown:hover .arrow {
  content: url("public/img/triangel-putih.svg"); /* ganti image */
  transform: rotate(180deg);
}

.nav-menu a:hover {
  color: white;
}

.nav-menu a:hover::after {
  width: 100%;
}

.dropdown-menu {
  position: absolute;
  top: 80%;
  left: 320;

  min-width: 200px;
  padding: 10px 0;
  border-radius: 12px;

  /* 🔥 GLASSMORPHISM */
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);

  border: 2px solid rgba(255, 255, 255, 0.1);

  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);

  list-style: none;

  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: 0.3s ease;
}

.dropdown-menu li {
  padding: 0;
}

.dropdown-menu a {
  display: block;
  padding: 10px 20px;
  color: #ddd;
  text-decoration: none;
  font-size: 16px;
  transition: 0.3s;
}

.dropdown-menu a:hover {
  background: rgba(255, 255, 255, 0.08);
  color: white;
}

.dropdown:hover .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.btn-play {
  display: flex;
  align-items: center;
  gap: 10px;
  width: fit-content;
  padding: 12px 18px;
  border-radius: 5px;

  background: transparent;
  border: 2px solid rgba(255, 255, 255, 0.3);

  cursor: pointer;
  transition: 0.3s;
}

.btn-container {
  display: flex;
  gap: 5px;
  align-items: center;
}

/* hover effect */
.btn-play:hover {
  border-color: #1f7a1f;
  background: rgba(255, 255, 255, 0.05);
}

.play-img-container {
  display: flex;
  align-items: center;
}

/* icon */
.btn-play img {
  width: 30px;
}

.line-play {
  width: 30px;
  height: 0px;
  margin-top: 12px;
  margin-bottom: 16px;
  border: 2px solid white;
  border-radius: 100px;
  transform: rotate(90deg);
}

/* text container */
.btn-text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

/* main text */
.main-text {
  font-size: 18px;
  color: white;
  font-weight: bold;
  letter-spacing: 1px;
}

/* sub text */
.sub-text {
  font-size: 10px;
  color: #ccc;

  /*  ini spacing huruf */
  letter-spacing: 0.8px;
}

.sub-text-itch {
  font-size: 10px;
  color: #ccc;

  /*  ini spacing huruf */
  letter-spacing: 2px;
}

/* respnsif button */
@media (max-width: 576px) {
  .btn-play {
    display: none;
  }
}

/* home */
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

/* SLIDER */
.hero-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;

  opacity: 0;
  transition: opacity 1s ease-in-out;
}

.slide.active {
  opacity: 1;
}

.vignette {
  position: absolute;
  inset: 0;
  pointer-events: none;

  background: radial-gradient(
    circle,
    rgba(0, 0, 0, 0) 50%,
    rgba(0, 0, 0, 0.6) 100%
  );
}

/* OVERLAY GELAP */
.hero-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.8),
    rgba(0, 0, 0, 0.4),
    rgba(0, 0, 0, 0.1)
  );
  z-index: 1;
}

/* CONTENT */
.hero-content {
  position: relative;
  z-index: 2;

  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;

  max-width: 100%;
}

.hero-content-top {
  padding: 0px 120px;
  margin-top: -250px;
}

/* TEXT */
.hero-title {
  font-size: 64px;
  line-height: 1.2;
  width: 500px;
  color: white;
}

.hero-author {
  font-size: 14px;
  width: fit-content;
  color: #aaa;
}

/* Line 3 */
.line {
  width: 96px;
  height: 0px;
  margin-top: 12px;
  margin-bottom: 16px;
  border: 3px solid #3aaa00;
  border-radius: 100px;
}

/* HEADER */
.hero-news-header {
  display: flex;
  gap: 24px;
  align-items: center;
}

.hero-news-header .title {
  font-size: 18px;
  letter-spacing: 2px;
  color: white;
}

.hero-news-header .view-all {
  font-size: 16px;
  color: #ccc;
  text-decoration: none;
  letter-spacing: 2px;
  transition: 0.3s;
}

.hero-news-header .view-all:hover {
  color: white;
  transform: translateX(5px);
}

/* LIST */
.hero-news-bridge {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 15px;
  z-index: 5;

  margin-top: -380px; /* tarik ke atas nutup hero */
  margin-bottom: -150px; /* nyatu ke game */

  padding: 80px 120px;

  background: black;

  /* blur atas + bawah */
  -webkit-mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 25%,
    black 75%,
    transparent 100%
  );

  mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 25%,
    black 80%,
    transparent 100%
  );
}

.hero-news-container {
  display: flex;
  justify-content: center;
  gap: 40px;
}

/* CARD */
.hero-news-card {
  position: relative;
  width: 400px;
  height: 258px;
  border-radius: 3px;
  overflow: hidden;
  cursor: pointer;
}

/* IMG */
.hero-news-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.4s;
}

/* DARK OVERLAY */
.news-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.8),
    rgba(0, 0, 0, 0.4),
    rgba(0, 0, 0, 0.1)
  );
  z-index: 1;
}

/* INFO */
.news-info {
  position: absolute;
  bottom: 10px;
  left: 10px;
  z-index: 2;
}

.news-info .date {
  font-size: 10px;
  color: #aaa;
}

.news-info h4 {
  font-size: 14px;
  margin-top: 3px;
  color: white;
}

/* CONTENT (semua isi news) */
.hero-news-content {
  position: absolute;
  left: 0;
  bottom: -25;
  width: 100%;

  padding: 20px;
  color: white;

  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.9),
    rgba(0, 0, 0, 0.4),
    transparent
  );

  height: 90px; /* tinggi awal */
  overflow: hidden;

  transition: 0.4s ease;
}

/* HOVER naik semua */
.news-card:hover .news-content {
  transform: translateY(0);
}

/* TEXT */
.hero-news-content .date {
  font-size: 10px;
  color: #aaa;
}

.hero-news-content h4 {
  font-size: 14px;
  color: white;
}

.hero-news-desc {
  font-size: 13px;
  color: #ccc;
  margin-top: 8px;

  opacity: 0;
  transform: translateY(10px);
  transition: 0.3s ease;
}

/* desc muncul belakangan */
.hero-news-card:hover .hero-news-content {
  height: 160px;
}

.hero-news-card .hero-news-desc {
  opacity: 1;
  transform: rotateY(0);
}

/* efek zoom image */
.hero-news-card:hover img {
  transform: scale(1.1);
}

/* game */
.game-section {
  width: 100%;
  height: 100vh;
  position: relative;
}

/* CONTAINER */
.game-container {
  width: 100%;
  height: 100%;
  position: relative;
}

/* BACKGROUND IMAGE */
.game-latar {
  position: absolute;
  inset: 0;
}

.game-latar img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* DARK OVERLAY */
.game-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(to right, rgba(0, 0, 0, 1), transparent);
}

/* CONTENT */
.game-content {
  position: relative;
  z-index: 2;

  max-width: 100%;
  height: fit-content;
  padding: 0 80px;

  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  gap: 15px;
}

/* TEXT */
.game-subtitle {
  font-size: 24px;
  margin-bottom: -25px;
  letter-spacing: 3px;
  color: #aaa;
}

.game-title {
  font-size: 128px;
  color: white;
  line-height: 1.2;
}

/* LINE */
.line-game {
  width: 80px;
  height: 6px;
  background: #3aaa00;
  border-radius: 10px;

  margin: 0 auto;
}

/* DESC */
.game-desc {
  font-size: 16px;
  color: #ccc;
  line-height: 1.6;
  max-width: 1200px;

  margin: 0 auto;
}

/* merchandise bridge */

.bridge {
  position: relative;
  z-index: 5;

  margin-top: -300px; /* tarik ke atas nutup hero */
  margin-bottom: -150px; /* nyatu ke game */

  padding: 80px 120px;

  background: black;

  /* blur atas + bawah */
  -webkit-mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 25%,
    black 75%,
    transparent 100%
  );

  mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 25%,
    black 75%,
    transparent 100%
  );
}

/* section merchan */
.merch-section {
  width: 100%;
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

/* CONTAINER */
.merch-container {
  text-align: center;

  margin-top: 250px;
}

/* TITLE */
.merch-title {
  font-size: 64px;
  color: white;
  margin-bottom: 10px;
}

/* LINE */
.line-merch {
  width: 80px;
  height: 5px;
  background: #3aaa00;
  border-radius: 10px;
  margin: 0 auto 60px;
}

/* CARD WRAPPER */
.merch-card-container {
  display: flex;
  margin-top: 146px;
  gap: 126px;
  justify-content: center;
  align-items: center;
}

/* CARD */
.merch-card {
  width: 400px;
  height: 300px;
  background: #3aaa00;
  border-radius: 10px;

  position: relative;
  overflow: visible;
  cursor: pointer;

  transition: 0.3s;
}

/* IMAGE */
.merch-card img {
  width: 100%;
  height: 100%;
  object-fit: contain;

  transition: 0.4s;
}

/* OVERLAY TEXT */
.merch-card {
  width: 531px;
  height: 478px;
  background: #3aaa00;
  border-radius: 10px;

  position: relative;
  cursor: pointer;

  overflow: visible; /* biar gambar bisa keluar */
}

/* IMAGE */
.merch-card img {
  position: relative;
  z-index: 1;

  width: 100%;
  height: 100%;
  object-fit: contain;

  transition: 0.4s;
}

/* OVERLAY TEXT */
.merch-overlay {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 20px;

  z-index: 3; /* 🔥 ini bikin dia di atas gambar */

  opacity: 0;
  transform: translateY(20px);
  transition: 0.3s;
}

.merch-overlay h3 {
  color: white;
  font-size: 20px;
}

/* HOVER */
.merch-card:hover img {
  transform: scale(1.4) translateY(-50px);
}

.merch-card:hover .merch-overlay {
  opacity: 1;
  transform: translateY(0);
}

/* comment section */
.comment-section {
  width: 100%;
  min-height: 80vh;

  padding: 0px 165px;
}

.comment-container {
  margin-top: 100px;

  display: flex;
  flex-direction: column;
  gap: 56px;
}

.comment-header {
  display: flex;
  justify-content: space-between;
}

.comment-header span {
  color: white;
  font-weight: bold;
  font-size: 28px;
  margin-left: 10px;
}

.comment-header a {
  color: #ccc;
  text-decoration: none;
  font-weight: 500;
  font-size: 20px;
  margin-right: 10px;
  transition: 0.3s;
}

.comment-header a:hover {
  color: white;
  transform: translateX(5px);
}

.comment-card-container {
  display: flex;
  flex-direction: column;
}

.comment-card p {
  color: white;
  font-size: 24px;
}

.card-head {
  display: flex;
  gap: 16px;
}

.card-head p {
  color: white;
  font-size: 16px;
}

/* card-showcase */
.showcase {
  width: 100%;
  height: 400px;
  background: radial-gradient(circle at left, #2a2a2a, #0b0b0b);
  display: flex;
  align-items: center;
}

/* CONTAINER */
.showcase-container {
  width: 100%;
  padding: 0 120px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* LEFT */
.showcase-content {
  color: white;
  max-width: 500px;
}

.showcase-sub {
  font-size: 24px;
  color: #bbb;
}

.showcase-title {
  font-size: 80px;
  font-weight: bold;
  line-height: 1.1;
}

/* LINE */
.showcase-line {
  width: 80px;
  height: 5px;
  background: #3aaa00;
  border-radius: 10px;
  margin: 20px 0;
}

/* BUTTON */
.showcase-btn {
  padding: 12px 18px;
  font-size: 18px;
  border: 2px solid rgba(255, 255, 255, 0.3);
  border-radius: 5px;
  background: transparent;
  color: white;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

.showcase-btn:hover {
  border-color: #1f7a1f;
  background: rgba(255, 255, 255, 0.05);
}

/* RIGHT IMAGE */
.showcase-image img {
  width: 650px;
  object-fit: contain;
  margin-right: -120px;
}

/* footer */
.footer-container {
  width: 100%;
  padding: 25px 0px;
  margin-top: 40px;
  gap: 28px;
  display: flex;
  flex-direction: column;
  text-align: center;
}

.footer-head {
  display: flex;
  gap: 72px;
  justify-content: center;
}

.footer-bawah {
  width: 600px;
  padding: 10px 0px;
  margin: auto;
}

.footer-bawah p {
  color: #ccc;
}

/* halaman gim */
.game-detail {
  margin-top: 50px;
  padding: 100px 120px;
  background: black;
  color: white;
}

/* CONTAINER */
.game-detail-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 60px;
}

/* LEFT */
.game-left {
  max-width: 575px;
}

.spesification-container {
  display: flex;
  gap: 10px;
}

.spesification {
  display: flex;
  flex-direction: column;
}

.game-title-hall {
  font-size: 32px;
}

.line {
  width: 80px;
  height: 5px;
  background: #3aaa00;
  border-radius: 10px;
  margin: 10px 0 20px;
}

.game-description {
  font-size: 14px;
  color: #ccc;
  line-height: 1.6;
  text-align: justify;
}

/* SPEC */
.spec-title {
  margin-top: 30px;
  font-size: 14px;
  letter-spacing: 2px;
}

.spec-grid {
  margin-top: 15px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}

.spec-grid span {
  font-size: 10px;
  color: #aaa;
}

.spec-grid p {
  font-size: 13px;
}

/* RIGHT */
.game-preview {
  width: 500px;
  height: 400px;
  background: #ccc;
  border-radius: 8px;
}

.game-preview img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* GALLERY */
.game-gallery {
  background: black;
  padding: 80px 0;
  text-align: center;
  overflow: hidden;
}

.game-gallery h2 {
  margin-bottom: 40px;
  color: white;
}

/* WRAPPER */
.gallery-wrapper {
  width: 100%;
  overflow: hidden;
  position: relative;
}

/* TRACK */
.gallery-track {
  display: flex;
  gap: 40px;
  transition: transform 0.6s ease;
  align-items: center;
}

/* ITEM */
.gallery-item {
  width: 700px;
  height: 400px;
  object-fit: cover;
  border-radius: 6px;

  transition:
    transform 0.4s ease,
    opacity 0.4s ease;
  transform: scale(0.9) translateY(30px);
  opacity: 0.5;
}

/* ACTIVE (tengah) */
.gallery-item.active {
  transform: scale(1) translateY(0);
  opacity: 1;
}

/* merchandise */
.merch-section {
  padding: 150px 158px;
  color: white;
}

.merch-wrapper {
  width: 100%;
  margin: 0 auto;
}

/* HEADER */
.merch-header h1 {
  font-size: 64px;
  font-weight: 800;
}

/* GRID */
.merch-grid {
  display: flex;
  margin-top: 60px;
}

/* CARD */
.merch-box {
  flex: 1;
  height: 600px;
  position: relative;
  padding: 20px;
}

/* BACKGROUND */
.merch-box.green {
  background: #3aaa00;
}

.merch-box.white {
  background: #eaeaea;
  color: black;
}

/* LABEL */
.merch-label {
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  padding: 10px 20px;
  font-weight: bold;
  font-size: 32px;
}

.merch-label.light {
  width: 300px;
  background: #eaeaea;
  color: #3aaa00;
}

.merch-label.green {
  width: 340px;
  background: #3aaa00;
  color: white;
}

/* IMAGE */
.merch-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  transition: 0.4s;
}

/* BADGE */
.badge {
  position: absolute;
  width: fit-content;
}

.badge img {
  width: 100%;
  height: 100%;
}

/* TEXT DI DALAM BADGE */
.badge.stock-light span {
  position: absolute;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 20px;

  font-size: 20px;
  letter-spacing: -1.5px;
  font-weight: bold;
  color: #3aaa00;
  text-align: center;
}

.badge.price-light span {
  position: absolute;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 30px;

  font-size: 32px;
  letter-spacing: -1.5px;
  font-weight: bold;
  color: #3aaa00;
  text-align: center;
}

.badge.stock-green span {
  position: absolute;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 20px;

  font-size: 20px;
  letter-spacing: -1.5px;
  font-weight: bold;
  color: #3aaa00;
  text-align: center;
}

.badge.price-green span {
  position: absolute;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 30px;

  font-size: 32px;
  letter-spacing: -1.5px;
  font-weight: bold;
  color: #3aaa00;
  text-align: center;
}

/* POSISI */
.badge.stock-light {
  top: 100px;
  right: 120px;
}

.badge.price-light {
  bottom: 170px;
  left: 100px;
}

.badge.stock-green {
  top: 80px;
  right: 50px;
}

.badge.price-green {
  bottom: 80px;
  left: 50px;
}

/* BUTTON */
.btn-order {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  padding: 10px 20px;
  font-weight: bold;
  font-size: 32px;
  letter-spacing: -1px;
  border: none;
  cursor: pointer;
}

.btn-order.light {
  background: #eaeaea;
  color: #3aaa00;
  text-decoration: none;
}

.btn-order.green {
  background: #3aaa00;
  color: white;
  text-decoration: none;
}

/* HOVER */
.merch-box:hover .merch-img {
  transform: scale(1.1) translateY(-10px);
}

/* halman berita */
/* HERO */
.news-hero {
  position: relative;
  height: 600px;
  overflow: hidden;
}

.hero-bg {
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, rgba(0, 0, 0, 2), transparent);
  object-fit: cover;
}

.news-hero-content {
  position: absolute;
  bottom: 120px;
  left: 215px;
  color: #ccc;
  max-width: 700px;
}

.news-hero-content h1 {
  color: white;
  font-size: 60px;
  margin: 5px 0;
}

.read-more {
  display: inline-block;
  margin-top: 10px;
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.read-more:hover {
  transform: translateX(5px);
}

.btn-update {
  margin-top: 15px;
  padding: 10px 20px;
  border: 1px solid white;
  background: transparent;
  color: white;
}

/* SECTION */
.news-section {
  background: #1a1a1a;
  border: 2px solid #3c3c3c;
  padding: 80px 211px;
}

/* GRID */
.news-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
  gap: 40px;
}

/* CARD */
.news-card {
  position: relative;
  height: 359px;
  overflow: hidden;
  border-radius: 6px;
  cursor: pointer;
}

.news-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.4s;
}

.news-card-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), transparent);
}

/* header news */
.label-container {
  width: 100%;
  padding: 0px 211px;
  margin-top: -66px;
  position: absolute;
}

.label-news {
  color: white;
  width: fit-content;
  padding: 20px 50px;
  background: #1a1a1a;
  border: 2px solid #3c3c3c;
}

.label-news h2 {
  font-size: 16px;
}

/* CONTENT IKUT NAIK DIKIT */
.news-content {
  position: absolute;
  left: 0;
  bottom: -5;
  width: 100%;

  padding: 20px;
  color: #ccc;

  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.9),
    rgba(0, 0, 0, 0.4),
    transparent
  );

  height: 90px; /* tinggi awal */
  overflow: hidden;

  transition: 0.4s ease;
}

.news-content h3 {
  color: white;
}

.news-content span {
  font-size: 10px;
}

.desc {
  font-size: 13px;
  color: #ccc;
  margin-top: 8px;

  opacity: 0;
  transform: translateY(10px);
  transition: 0.3s ease;
}

/* HOVER EFFECT */
.news-card:hover .news-content {
  height: 160px; /* expand ke atas */
}

.news-card:hover .desc {
  opacity: 1;
  transform: translateY(0);
}

.news-card:hover img {
  transform: scale(1.1);
}

/* PAGINATION */
.pagination {
  text-align: center;
  margin-top: 40px;
}

.pagination a {
  display: inline-block;
  margin: 5px;
  padding: 8px 12px;
  background: #333;
  color: white;
  text-decoration: none;
}

.pagination a.active {
  background: #3aaa00;
}

/* halaman komentar */
.comment-page {
  background: black;
  padding: 150px 120px;
  color: white;
}

/* WRAPPER */
.comment-wrapper {
  display: flex;
  gap: 50px;
  align-items: center;
  justify-content: center;
}

/* LEFT */
.comment-left h1 {
  font-size: 60px;
  max-width: 600px;
}

.line {
  width: 80px;
  height: 5px;
  background: #3aaa00;
  margin: 15px 0 30px;
}

/* FORM */
.comment-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 800px;
}

.comment-form input,
.comment-form textarea {
  background: transparent;
  border: 1px solid #555;
  padding: 15px;
  color: white;
  border-radius: 6px;
  outline: none;
}

.comment-form textarea {
  height: 200px;
  resize: none;
}

.comment-form button {
  width: fit-content;
  padding: 10px 20px;
  border-radius: 2px;
  border: 1px solid #555;
  background: transparent;
  color: #ccc;
  cursor: pointer;
  transition: 0.3s;
}

.comment-form button:hover {
  border: 1px solid #1f7a1f;
  color: white;
}

/* RIGHT ICON */
.comment-right img {
  width: 350px;
  opacity: 0.9;
  margin-top: 150px;
}

/* LIST */
.comment-list {
  margin-top: 80px;
}

/* HEADER */
.hall-comment-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.hall-comment-header h2 {
  color: white;
  font-size: 24px;
}

.hall-comment-header a {
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.hall-comment-header:hover a {
  color: white;
  transform: translateX(5px);
}

/* CARD */
.comment-card {
  border: 3px solid #444;
  border-radius: 6px;
  padding: 20px;
  margin-bottom: 15px;
  transition: 0.3s;
}

.comment-card:hover {
  border-color: #3aaa00;
}

/* META */
.comment-meta {
  font-size: 12px;
  color: #aaa;
  margin-bottom: 8px;
}

.comment-meta .name {
  margin-right: 10px;
  color: white;
}

/* TEXT */
.comment-text {
  font-size: 14px;
  color: #ccc;
}

/* detail news */
.news-detail {
  background: black;
  padding: 120px 120px 80px;
  color: white;
}

/* CONTAINER */
.news-detail-container {
  max-width: 1000px;
  margin: auto;
  text-align: center;
}

/* BACK */
.back-btn {
  color: #aaa;
  text-decoration: none;
  font-size: 12px;
}

/* TITLE */
.detail-title {
  font-size: 60px;
  margin: 20px 0 10px;
}

/* DATE */
.detail-date {
  font-size: 12px;
  color: #aaa;
}

/* IMAGE */
.detail-img {
  width: 100%;
  margin: 40px 0;
  border-radius: 6px;
}

/* CONTENT */
.detail-content {
  text-align: left;
  color: #ccc;
  line-height: 1.8;
  font-size: 14px;
}

.detail-content p {
  margin-bottom: 20px;
}
